Bug 242831 - F7 x86_64 installation fails to load sata_via module and can´t find SATA HDs attached to VT8251 chipset
F7 x86_64 installation fails to load sata_via module and can´t find SATA HDs ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 22:37 EDT by Alex A. Schmidt
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex A. Schmidt 2007-06-05 22:37:04 EDT
Description of problem:

F7 x86_64 (DVD media) installation fails to load sata_via module. Anaconda tries
to load it for a while and than gives up with "failed to IDENTIFY (I/O error
err_mask=0x104)" and "sata link down (sstatus 0 scontrol 300). It must be said
that all the hardware concerned is currently working just fine with FC6
(2.6.20-1.2933 x86_64 kernel): ASUS A8V-X board, southbridge VIA VT8251 sata
controller and a 160 Gb WD1600JS sata disk.  
 
Version-Release number of selected component (if applicable):


How reproducible: upgrade FC6 x86_64 to F7 x86_64 with DVD media


Steps to Reproduce:
1. use F7 X86_64 DVD media to upgrade 
2. follow the usual installation steps
3.
  
Actual results:

installation process can´t find sata hard disk and upgrade cannot be performed. 

Expected results:

installation process must find my sata disk and upgrade FC6 on it

Additional info:

bugzilla bug #174057 reported the same problem for FC5 i386. Is the bug back on
F7 x86_64?

Strange enough F7 installation loads "pata_via" module while FC6 doesn´t.
Comment 1 Alex A. Schmidt 2007-06-08 09:07:48 EDT
Let me add that F-7-i386-rescuecd.iso and Fedora-7-KDE-Live-x86_64.iso also
failed in the same way, i.e., when loading the sata_via module!
Comment 2 Alex A. Schmidt 2007-06-11 14:35:50 EDT
Upgrading the motherboard bios to "A8V-X BIOS 0703" seems to have solved the
problem. F7 x86_64 installation (upgrade from FC6) went just fine.

Note You need to log in before you can comment on or make changes to this bug.